import { z } from 'zod';
import { ZodSchema } from 'zod';
export declare const messageSchema: z.ZodObject<{
    code: z.ZodString;
    text: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
    text: string;
}, {
    code: string;
    text: string;
}>;
export declare const createResponseSchema: <TypeObject extends ZodSchema>(dataSchema: TypeObject) => ZodSchema;
export interface TypeMessage extends z.infer<typeof messageSchema> {
}
export interface TypeResponse<TypeObject> {
    success: boolean;
    messages?: TypeMessage[];
    data?: TypeObject | undefined;
}
